<?php

namespace App\Services\Equipment\Part;

use App\Entities\Equipment\Part\RamEntity;
use App\Models\Equipment\Part\RamModel;
use CodeIgniter\HTTP\IncomingRequest;
use App\Services\Equipment\Link\RamService as LinkService;

class RamService extends PartService
{
    protected ?IncomingRequest $request = null;
    public function __construct(?IncomingRequest $request = null)
    {
        parent::__construct($request);
        $this->addClassName('Ram');
    }
    public function getModelClass(): RamModel
    {
        return new RamModel();
    }
    public function getEntityClass(): RamEntity
    {
        return new RamEntity();
    }
    protected function getLinkService(): LinkService
    {
        return new LinkService($this->request);
    }
}
